Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 4001)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 4002)
@@ -877,38 +877,38 @@
 		return getProject().getLang();
 	}
 	
-	/**
-	 * Get the corpus locale using txmcorpus_lang property
-	 * @deprecated use getProject.getLlang() instead, will be fixed later to mange multi lang corpus
-	 * @return
-	 */
-	public Locale getLocale() {
-		/*
-		 * Serializable lang = this.getAttribute("lang"); //$NON-NLS-1$ if (lang !=
-		 * null) { return new Locale(lang.toString()); } else return
-		 * Locale.getDefault();
-		 */
-		// System.out.println("getLang1: "+lang);
-		if (lang == null) {
-			try {
-				StructuralUnit su = this.getStructuralUnit("txmcorpus"); //$NON-NLS-1$
-				StructuralUnitProperty prop = su.getProperty("lang"); //$NON-NLS-1$
-				List<String> values = prop.getValues();
-				if (values.size() > 0)
-					lang = values.get(0);
-				// System.out.println("get lang: "+lang);
-			}
-			catch (Exception e) {
-				// TODO Auto-generated catch block
-				// org.txm.utils.logger.Log.printStackTrace(e);
-				System.out.println(TXMCoreMessages.corpusColongetLocaleColonCQPIsNotReadyToAnswerColon + e);
-			}
-		}
-		if (lang != null)
-			return new Locale(lang);
-		else
-			return Locale.getDefault();
-	}
+//	/**
+//	 * Get the corpus locale using txmcorpus_lang property
+//	 * @deprecated use getProject.getLlang() instead, will be fixed later to mange multi lang corpus
+//	 * @return
+//	 */
+//	public Locale getLocale() {
+//		/*
+//		 * Serializable lang = this.getAttribute("lang"); //$NON-NLS-1$ if (lang !=
+//		 * null) { return new Locale(lang.toString()); } else return
+//		 * Locale.getDefault();
+//		 */
+//		// System.out.println("getLang1: "+lang);
+//		if (lang == null) {
+//			try {
+//				StructuralUnit su = this.getStructuralUnit("txmcorpus"); //$NON-NLS-1$
+//				StructuralUnitProperty prop = su.getProperty("lang"); //$NON-NLS-1$
+//				List<String> values = prop.getValues();
+//				if (values.size() > 0)
+//					lang = values.get(0);
+//				// System.out.println("get lang: "+lang);
+//			}
+//			catch (Exception e) {
+//				// TODO Auto-generated catch block
+//				// org.txm.utils.logger.Log.printStackTrace(e);
+//				System.out.println(TXMCoreMessages.corpusColongetLocaleColonCQPIsNotReadyToAnswerColon + e);
+//			}
+//		}
+//		if (lang != null)
+//			return new Locale(lang);
+//		else
+//			return Locale.getDefault();
+//	}
 	
 	/*
 	 * (non-Javadoc)
Index: TXM/trunk/bundles/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___TableEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___TableEditor.java	(revision 4001)
+++ TXM/trunk/bundles/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___TableEditor.java	(revision 4002)
@@ -27,6 +27,8 @@
 //
 package org.txm.lexicaltable.rcp.editors;
 
+import java.util.Locale;
+
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.jface.action.MenuManager;
 import org.eclipse.jface.viewers.TableViewer;
@@ -182,7 +184,7 @@
 		tableSorter.setColumnTypes(tableInput.getColumnTypes());
 		if (this.iEditorInput instanceof ___LexicalTableEditorInput) {
 			___LexicalTableEditorInput ed = (___LexicalTableEditorInput) this.iEditorInput;
-			tableSorter.setLocale(ed.getResult().getPartition().getParent().getLocale());
+			tableSorter.setLocale(new Locale(ed.getResult().getPartition().getParent().getLang()));
 		}
 		viewer.setSorter(tableSorter);
 		
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ComboDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ComboDialog.java	(revision 4001)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ComboDialog.java	(revision 4002)
@@ -158,7 +158,11 @@
 	protected void okPressed() {
 		
 		selectedIndex = combo.getSelectionIndex();
-		selectedValue = values.get(selectedIndex);
+		if (selectedIndex > 0) {
+			selectedValue = values.get(selectedIndex);
+		} else {
+			selectedValue = combo.getText();
+		}
 		super.okPressed();
 	}
 
Index: TXM/trunk/bundles/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/comparators/CLineComparator.java
===================================================================
--- TXM/trunk/bundles/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/comparators/CLineComparator.java	(revision 4001)
+++ TXM/trunk/bundles/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/comparators/CLineComparator.java	(revision 4002)
@@ -88,7 +88,7 @@
 	 * @param corpus the corpus
 	 */
 	public void initialize(CQPCorpus corpus) {
-		setLocale(corpus.getLocale());
+		setLocale(new Locale(corpus.getLang()));
 	}
 	
 	/**
Index: TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/LocalizedLineComparator.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/LocalizedLineComparator.java	(revision 4001)
+++ TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/LocalizedLineComparator.java	(revision 4002)
@@ -81,6 +81,6 @@
 	 */
 	@Override
 	public void initialize(CQPCorpus corpus) {
-		setLocale(corpus.getLocale());
+		setLocale(new Locale(corpus.getLang()));
 	}
 }
Index: TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/LineComparator.java
===================================================================
--- TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/LineComparator.java	(revision 4001)
+++ TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/LineComparator.java	(revision 4002)
@@ -29,6 +29,7 @@
 
 import java.text.Collator;
 import java.util.Comparator;
+import java.util.Locale;
 
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 
@@ -137,7 +138,7 @@
 	 * @param corpus the corpus
 	 */
 	public void initialize(CQPCorpus corpus) {
-		collator = Collator.getInstance(corpus.getLocale());
+		collator = Collator.getInstance(new Locale(corpus.getLang()));
 		collator.setStrength(Collator.TERTIARY);
 	}
 }
